DNF5-REMOVE(8)

BEZEICHNUNG
dnf5-remove - Remove-Befehl

ÜBERSICHT

dnf5 remove [Optionen] Paketangabe-NF|@Gruppenangabe|@Umgebungsangabe …

dnf5 remove --oldinstallonly [--limit=<BEGRENZUNG>] [<Paketangabe-NF>...]

BESCHREIBUNG

Der Befehl remove in DNF5 wird zum Entfernen installierter Pakete, Gruppen oder Umgebungen aus dem System verwendet.

Wenn Sie die mit dem jeweiligen Paket installierten Abhängigkeiten behalten möchten, setzen Sie die Konfigurationsoption clean_requirements_on_remove auf False.

Wird die Option --oldinstallonly verwendet, entfernt der Befehl alte installonly-Pakete (zum Beispiel Kernel), die den konfigurierten Wert installonly_limit überschreiten. Der aktuell laufende Kernel wird dabei nicht entfernt. Werden Pakete angegeben, werden nur die entsprechenden installonly-Pakete für die Entfernung berücksichtigt.

OPTIONEN

    --installed-from=PAKETQUELLEN-ID, …
        filtert installierte Pakete nach der ID der Paketquelle, aus der sie installiert wurden.

    --no-autoremove
        deaktiviert das Entfernen von Abhängigkeiten, die nicht mehr notwendig sind.

    --oldinstallonly
        entfernt alte installonly-Pakete, deren Wert den Konfigurationswert installonly_limit überschreitet. Bei Verwendung ohne Paketangaben werden alle Typen von installonly-Paketen berücksichtigt. Der aktuell laufende Kernel wird automatisch übersprungen.

    --limit=<BEGRENZUNG>
        setzt den Konfigurationswert installonly_limit außer Kraft. Der neue Wert muss größer oder gleich 1 sein, um  wenigstens die neueste installierte Version behalten zu können. Dies kann nur mit --oldinstallonly kombiniert werden.

    --offline
        speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

    --store=PFAD
        Speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PATH, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl dnf5-replay(8) ausgeführt werden. Beachten Sie, dass die Paketquellen-IDs in der gespeicherten Transaktion zu @stored_transaction(repo_id) umbenannt werden. Dies ist erforderlich, da die gespeicherten Paketquellen beim Aufrufen und Ausführen der Transaktion neu erstellt werden und mit bereits vorhandenen Paketquellen kollidieren könnten. (Dies gilt nicht für die spezielle @System-Paketquelle.)

BEISPIELE

    dnf5 remove tito
        Entfernt das Paket tito.

    dnf5 remove --oldinstallonly
        Entfernt alle alten installonly-Pakete, die das konfigurierte installonly_limit überschreiten.

    dnf5 remove --oldinstallonly kernel
        Entfernt alle alten Kernel-Pakete, die das konfigurierte installonly_limit überschreiten.

    dnf5 remove --oldinstallonly --limit=2
        Entfernt alle alten installonly-Pakete, wobei jeweils nur die zwei neuesten Versionen behalten werden.

SIEHE AUCH
        dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).